Skip to content

Get auto-buy deposit reference​

GET
/v1/wallet/fiat/{currency}/deposit/reference/{buyCurrencySymbol}

Get the unique auto-buy Deposit Reference for the primary account or subaccount whose API Key is authorised. Payments in the currencyCode currency made with this reference will be used to buy buyCurrencySymbol currency. Use the Supported Auto-Buy Currencies request for the list of currencies supported for auto-buy with the pay currency.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Path Parameters

currency*

The currency code for the fiat currency (e.g., ZAR, USD)

Type
string
Required
buyCurrencySymbol*

The currency code to buy (e.g., BTC, ETH). See Supported Auto-Buy Currencies.

Type
string
Required

Responses​

Auto-buy deposit reference retrieved successfully

application/json

Playground​

Authorization
Variables
Key
Value

Samples​